//
//  ChatOptionTVC.swift
//  MyTatvaCare
//
//  Created by Nirav Ramani on 28/05/25.
//

import UIKit

class ChatOptionTVC: UITableViewCell {

    @IBOutlet weak var selectionImageView: UIImageView!
    @IBOutlet weak var descLabel: UILabel!
    @IBOutlet weak var bgView: CustomView!
    
    override func awakeFromNib() {
        super.awakeFromNib()
        // Initialization code
        selectionImageView.image = loadImage(named: "ic_circle")
        descLabel.font = FontManager.font(ofSize: 16, weight: .regular)
    }

    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)

        // Configure the view for the selected state
    }
    
    func setSelectedView(isSelected: Bool) {
        descLabel.textColor = isSelected ? .white : CustomColor.shared.gray
        selectionImageView.image = isSelected ? loadImage(named: "ic_selected") : loadImage(named: "ic_circle")
        bgView.backgroundColor = isSelected ? CustomColor.shared.darkGreen : .clear
    }
}
